"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.main = void 0;
const kms = require("@magloft/kms");
const common_1 = require("@tsed/common");
const platform_express_1 = require("@tsed/platform-express");
const server_1 = require("./server");
async function main() {
    const config = await kms.config('credentials/services/magloft-api');
    const server = await platform_express_1.PlatformExpress.bootstrap(server_1.Server, config);
    await server.listen();
}
exports.main = main;
main().catch((error) => {
    common_1.$log.error(error);
});
//# sourceMappingURL=index.js.map