import { LatestReceiptInfo } from '../api/webhooks/AppStoreWebhookController'

export function generateLegacyReceiptData(status: number, receipt: LatestReceiptInfo, encodedReceipt: string) {
  return {
    'bid': receipt.bid,
    'bvrs': receipt.bvrs,
    'status': status,
    'item_id': receipt.itemId,
    'quantity': receipt.quantity,
    'product_id': receipt.productId,
    'app_item_id': receipt.appItemId,
    'expires_date': receipt.expiresDate,
    'purchase_date': receipt.purchaseDate,
    'transaction_id': receipt.transactionId,
    'is_trial_period': receipt.isTrialPeriod,
    'unique_identifier': receipt.uniqueIdentifier,
    'original_purchase_date': receipt.originalPurchaseDate,
    'web_order_line_item_id': receipt.webOrderLineItemId,
    'original_transaction_id': receipt.originalTransactionId,
    'unique_vendor_identifier': receipt.uniqueVendorIdentifier,
    'base64_receipt': encodedReceipt
  }
}
