import { Description, Property, Schema } from '@tsed/schema'

@Schema({ title: 'Intercom User' })
export class IntercomUserEntity {
  @Property()
  @Description('User ID')
  user_id: string

  @Property()
  @Description('User Hash')
  user_hash: string

  @Property()
  @Description('User Name')
  name: string

  @Property()
  @Description('User Email')
  email: string
}
