import { Description, Example, Property, Schema } from '@tsed/schema'

@Schema({ title: 'Push Delivery' })
export class PushDeliveryEntity {
  @Property()
  @Description('Success')
  @Example(true)
  success: boolean

  @Property()
  @Description('Success Count')
  @Example(100)
  successCount: number
  errorCount: number
}
