import { ArgsType, Field, Int } from 'type-graphql'

@ArgsType()
export class CreateCheckoutSessionArgs {
  @Field(type => Int) pwaId: number
  @Field(type => Int) readerId: number
  @Field() providerIdentifier: string
  @Field() kind: string
  @Field(type => Int) id: number
  @Field(type => Int, { nullable: true }) extra?: number
  @Field() returnUrl: string
}

@ArgsType()
export class CreateBillingPortalSessionArgs {
  @Field(type => Int) pwaId: number
  @Field(type => Int) readerId: number
  @Field() providerIdentifier: string
  @Field() returnUrl: string
}
