import { bootstrap } from '../../helpers'
import { RequestModule, RequestModuleContext } from '../../modules/RequestModule'

describe('PublicationController', () => {
  const ctx = bootstrap<RequestModuleContext>([RequestModule])

  describe('GET /portal/publications', () => {
    it('should respond with a list of publications', async () => {
      await ctx.login('tobias.strebitzer@magloft.com', 'magloft')
      const response = await ctx.request.get('/portal/publications/managed?role=publisher').expect(200)
      expect(response.body).toBeInstanceOf(Array)
    })
  })
})

