import { bootstrap } from '../../helpers'
import { RequestModule, RequestModuleContext } from '../../modules/RequestModule'

describe('AppStoreWebhookController', () => {
  const ctx = bootstrap<RequestModuleContext>([RequestModule])

  describe('POST /webhooks/app-store', () => {
    it('should process an apple receipt notification', async () => {
      const payload = require('../../fixtures/receipts/production/com.kandymag.kandymagazine/20000680700061.json')
      const response = await ctx.request.post('/webhooks/app-store').send(payload).expect(200)
      expect(response.body).toMatchObject({})
    })
  })
})
